package com.persagy.apm.diagnose.maintenance.constant;

/**
 * 维保 运行状态
 */
public enum EnumRunStatusType {

    Open(1.0),Close(0.0);

    private Double code;

    EnumRunStatusType(Double code){
        this.code = code;
    }

    public Double getCode() {
        return code;
    }

    public void setCode(Double code) {
        this.code = code;
    }

    public static EnumRunStatusType getEnumMaintenanceDataType(Double code) {
        if(null == code) {
            return null;
        }
        for(EnumRunStatusType item : EnumRunStatusType.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
