package com.persagy.apm.diagnose.service.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @ClassName AlarmRuleObjRelDTO
 * @author leifeng
 * @version 1.0.0
 * @Description 报警中台报警规则实体
 * @createTime 2021/9/23 15:12
 */
@Data
@Builder(toBuilder=true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmRuleDTO {
	private String id;
	private String projectId;

	//报警类型
	private String alarmItemCode;

	//点位
	private List<String> infoCodes;

	//设备对象
	private List<String> objIds;

	private String groupCode;
	private String userId;
	private String pd;
}
